char java_inc[]="<?php /*-*- mode: php; tab-width:4 -*-*/\n\
\n\
  /* java_Java.php -- provides backward compatibility.\n\
\n\
  Copyright (C) 2003-2007 Jost Boekemeier\n\
\n\
  This file is part of the PHP/Java Bridge.\n\
\n\
  The PHP/Java Bridge (\"the library\") is free software; you can\n\
  redistribute it and/or modify it under the terms of the GNU General\n\
  Public License as published by the Free Software Foundation; either\n\
  version 2, or (at your option) any later version.\n\
\n\
  The library is distributed in the hope that it will be useful, but\n\
  WITHOUT ANY WARRANTY; without even the implied warranty of\n\
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU\n\
  General Public License for more details.\n\
\n\
  You should have received a copy of the GNU General Public License\n\
  along with the PHP/Java Bridge; see the file COPYING.  If not, write to the\n\
  Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA\n\
  02111-1307 USA.\n\
\n\
  Linking this file statically or dynamically with other modules is\n\
  making a combined work based on this library.  Thus, the terms and\n\
  conditions of the GNU General Public License cover the whole\n\
  combination.\n\
\n\
  As a special exception, the copyright holders of this library give you\n\
  permission to link this library with independent modules to produce an\n\
  executable, regardless of the license terms of these independent\n\
  modules, and to copy and distribute the resulting executable under\n\
  terms of your choice, provided that you also meet, for each linked\n\
  independent module, the terms and conditions of the license of that\n\
  module.  An independent module is a module which is not derived from\n\
  or based on this library.  If you modify this library, you may extend\n\
  this exception to your version of the library, but you are not\n\
  obligated to do so.  If you do not wish to do so, delete this\n\
  exception statement from your version. */\n\
\n\
if(!extension_loaded('java') && !function_exists(\"java_get_base\")) {\n\
  $version = phpversion();\n\
  if ((version_compare(\"5.1.2\", $version, \">\"))) {\n\
	$msg = \"<br><strong>PHP $version too old.</strong><br>\\nFor PHP versions < 5.1.4 install the java.so or php_java.dll from the php-java-bridge-legacy download.<br>\\nOr set the path to the PHP executable, see php_exec in the WEB-INF/web.xml\";\n\
	die($msg);\n\
  }\n\
  function java_get_base() {\n\
	$ar = get_required_files();\n\
	$arLen = sizeof($ar);\n\
	if($arLen>0) {\n\
	  $thiz = $ar[$arLen-1];\n\
	  return dirname($thiz);\n\
	} else {\n\
	  return \"java/\";\n\
	}\n\
  }\n\
  $JAVA_BASE=java_get_base();\n\
  require_once(\"${JAVA_BASE}/JavaProxy.inc\");\n\
\n\
  class java_RuntimeException extends Exception {};\n\
  class java_IllegalArgumentException extends java_RuntimeException {\n\
	function __construct($ob) {\n\
	  parent::__construct(is_object($ob)?$ob->__toString():(string)$ob);\n\
	}\n\
  };\n\
\n\
  function Java($name) { return java_create(array($name), false); }\n\
  \n\
  function java_get_closure() {return java_closure_array(func_get_args());}\n\
  function java_get_values($arg) { return java_values($arg); }\n\
  function java_get_session() {return java_session_array(func_get_args());}\n\
  function java_get_context() {return java_context(); }\n\
  function java_get_server_name() { return java_server_name(); }\n\
  function java_set_library_path($arg) { return java_require($arg); }\n\
 }\n\
?>\n\
";
#include <stddef.h>
size_t java_inc_length() {return sizeof(java_inc);}
